Bug 434815 - Add -DKDE_DISTRIBUTION_TEXT="Fedora packages" to %{cmake_kde4} in /etc/rpm/macros.kde4
Add -DKDE_DISTRIBUTION_TEXT="Fedora packages" to %{cmake_kde4} in /etc/rpm/ma...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 12:11 EST by Laurent Rineau
Modified: 2015-07-13 13:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 09:26:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Rineau 2008-02-25 12:11:07 EST
Dear KDE SIG,

  In the CMake cache variable for KDE4 (in kdelibs at least), there exists a 
cache variable named "KDE_DISTRIBUTION_TEXT" with default value "compiled 
source". That string is used by the KBugReport dialogs (see file 
kdeui/dialogs/kbugreport.cpp in kdelibs-4.0.1, line 213). It should be better, 
in Fedora packages, to set it to "Fedora packages", or perhaps maybe "Fedora 
package %{name}-%{version}-%{release}". I propose that change to be applied 
to %{cmake_kde4} in /etc/rpm/macro.kde4, so that all rebuild will have that 
change:
  -DKDE_DISTRIBUTION_TEXT="Fedora package %{name}-%{version}-%{release}"

(I have not tested my proposal.)

Debian packages use "Debian packages", and Ubuntu packages strangely 
use "Kubuntu packages". See for example 
http://archive.ubuntu.com/ubuntu/pool/universe/k/kde4libs/kde4libs_4.0.1-0ubuntu1.diff.gz
Comment 1 Kevin Kofler 2008-02-25 16:55:10 EST
Ubuntu packages using "Kubuntu packages" is not strange, Kubuntu is just 
Ubuntu's KDE spin, they use the same repositories, so the packages you're 
seeing at archive.ubuntu.com are maintained by the Kubuntu team and are the 
ones which end up in Kubuntu releases.

But yes, setting KDE_DISTRIBUTION_TEXT sounds like a good idea to me.
Comment 2 Lukáš Tinkl 2008-02-27 09:26:06 EST
Will be in builds >= 4.0.1-8

Note You need to log in before you can comment on or make changes to this bug.